Subject: Bug#1074092: vim: Annoying visual bell in insert mode when pageing after upgrade to trixie

From: Helge Kreutzmann <[email-masked]>
Date: Sat, 3 Aug 2024 14:36:16 +0000

Am Sun, Jun 23, 2024 at 11:19:33AM -0400 schrieb James McCoy:
> On Sun, Jun 23, 2024 at 08:37:59AM GMT, Helge Kreutzmann wrote:
> > Up until bookworm no visual bell was shown in vim on the console
> > with my configuration. Now in insert mode (only), when paging an annoying visual
> > bell is shown.
> > 
> > This is *not* occuring with --clean but from the Debian changes I
> > could not derive which settings fault it is. 
> 
> I would suggest first comparing the output of ":set" with "vim --clean"
> and "vim". That should help narrow down which options differ from the
> defaults and may affect this behavior.

Thanks.

vim --clean
  background=dark     helplang=de         incsearch         nolangremap           mouse=nvi           ruler               scrolloff=5         ttimeout            viminfofile=NONE
  display=truncate    history=200         langnoremap       noloadplugins         nrformats=bin,hex   scroll=37           showcmd             ttimeoutlen=100     wildmenu
  backspace=indent,eol,start
  fileencodings=ucs-bom,utf-8,default,latin1

vim:
  autoindent          backspace=indent    helplang=de         incsearch           ruler               shiftround          shortmess=nxtToOS   smartcase           smarttab            visualbell          wildmenu
  background=dark   nofoldenable          ignorecase          laststatus=2        scroll=36           shiftwidth=4        showmatch           smartindent         softtabstop=4       wildignore=*.swp
  cinoptions=t0,(0,u0
  cpoptions=aABceFsJ
  fileencodings=ucs-bom,utf-8,default,latin1
  formatoptions=tcq2l
  formatprg=fmt -cu -w70
  listchars=eol:$,tab:>-,trail:_
  printoptions=paper:a4
  statusline=%<%f%y%m%r%=%l,%c%V %P
  suffixes=.bak,~,.swp,.o,.info,.aux,.log,.dvi,.bbl,.blg,.brf,.cb,.ind,.idx,.ilg,.inx,.out,.toc
  viminfo='1000,f1,"500,:50,@10,/100

> > As this is a (minor) regression, I'm reporting this. And if you have
> > any suggestion how to find out which setting this causes (except for
> > bisecting) I would be happy :-))
> 
> You could bisect your config by placing the "finish" command in your
> vimrc at various points to see what introduces the behavior.

Thanks, this made it easy.

It is the option "visualbell" which causes this behaviour. Until 
bookworm paging worked in in insert mode with this option but without
visual bell, now it does.

Is this a delibarate feature change?

Greetings

           Helge

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/